Package org.springframework.security.authentication.event

# Class AbstractAuthenticationEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.event.AbstractAuthenticationEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AbstractAuthenticationFailureEvent`, `AuthenticationSuccessEvent`, `InteractiveAuthenticationSuccessEvent`, `LogoutSuccessEvent`

public abstract class AbstractAuthenticationEvent extends org.springframework.context.ApplicationEvent
Represents an application authentication event.

The `ApplicationEvent`'s `source` will be the `Authentication` object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AbstractAuthenticationEvent(Authentication authentication)`

## Method Summary

Modifier and Type
Method
Description
`Authentication`
`getAuthentication()`
Getters for the `Authentication` request that caused the event.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AbstractAuthenticationEvent

public AbstractAuthenticationEvent(Authentication authentication)

## Method Details

### getAuthentication

public Authentication getAuthentication()
Getters for the `Authentication` request that caused the event. Also available from `super.getSource()`.

Returns:
  the authentication request